<?php
class BuyModel extends Model {
	 // 自动验证设置 
	protected $_validate = array( 
		array('name', 'require', '姓名必须填写！'),
		array('address', 'require', '地址必须填写！'),
		array('name', 'checklen', '姓名最长10个汉字,最短2个汉字！请重新填写！', 0,'callback'),
		array('email', 'email', '邮箱格式错误！'),
		array('phone', 'number', '联系电话错误,必须全是数字！', 2),
		array('qq', 'number', 'QQ填写错误,必须全是数字！', 2),
		array('number', 'number', 'QQ填写错误,必须全是数字！', 2),
	);
	//转换IP.自动填充时使用
	function returnip(){
			return ip2long($_SERVER['REMOTE_ADDR']);
	}
	//验证长度是否超过15个字符,检测用户名时使用.
	function checklen($data){
		if(strlen($data)>20 || strlen($data)<2){
			return false;
		}else{
			return true;
		}
	}
	//验证留言内容长度
	function checkcontent($data){
		if(strlen($data)<5){
			return false;
		}else{
			return true;
		}
	}
}
?>